Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2219183002: Add support to Document::URL property getter. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 months, 3 weeks ago by tonikitoo
Modified:
11 months, 3 weeks ago
CC:
pdfium-reviews_googlegroups.com
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Target Ref:
refs/heads/master
Project:
pdfium
Visibility:
Public.

Description

Add support to Document::URL property getter. As per the PDF specification at [1] " This property specifies the document's URL. ". IE/Acrobat supports it, and getting it implemented would be one step forward in order to support Acrobat JS script as the one in [2]. [1] http://partners.adobe.com/public/developer/en/acrobat/sdk/5186AcroJS.pdf [2] https://bugs.chromium.org/p/pdfium/issues/detail?id=492 BUG=492 Committed: https://pdfium.googlesource.com/pdfium/+/33c4cdb4efbacb73151c982549151ea4e545eff8

Patch Set 1 #

Patch Set 2 : Add support to Document::URL property getter. #

Total comments: 1

Patch Set 3 : Add support to Document::URL property getter. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+19 lines, -0 lines) Patch
M fpdfsdk/javascript/Document.h View 2 chunks +2 lines, -0 lines 0 comments Download
M fpdfsdk/javascript/Document.cpp View 1 2 2 chunks +13 lines, -0 lines 0 comments Download
M testing/resources/javascript/document_props.in View 1 1 chunk +1 line, -0 lines 0 comments Download
M testing/resources/javascript/document_props_expected.txt View 1 3 chunks +3 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 16 (8 generated)
tonikitoo
PTAL.
11 months, 3 weeks ago (2016-08-06 21:04:25 UTC) #2
dsinclair
The code lg to me. tsepez@ are there any security considerations with exposing the URL?
11 months, 3 weeks ago (2016-08-08 14:06:12 UTC) #5
Tom Sepez
On 2016/08/08 14:06:12, dsinclair wrote: > The code lg to me. tsepez@ are there any ...
11 months, 3 weeks ago (2016-08-08 15:58:59 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2219183002/20001
11 months, 3 weeks ago (2016-08-08 16:00:10 UTC) #8
Tom Sepez
Thanks! for the patch. https://codereview.chromium.org/2219183002/diff/20001/fpdfsdk/javascript/Document.cpp File fpdfsdk/javascript/Document.cpp (right): https://codereview.chromium.org/2219183002/diff/20001/fpdfsdk/javascript/Document.cpp#newcode916 fpdfsdk/javascript/Document.cpp:916: CFX_WideString wsFilePath = m_pDocument->GetPath(); nit: ...
11 months, 3 weeks ago (2016-08-08 16:01:01 UTC) #9
tonikitoo
On 2016/08/08 16:01:01, Tom Sepez wrote: > Thanks! for the patch. Thanks for the review, ...
11 months, 3 weeks ago (2016-08-08 16:04:15 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2219183002/40001
11 months, 3 weeks ago (2016-08-08 17:40:57 UTC) #14
commit-bot: I haz the power
11 months, 3 weeks ago (2016-08-08 17:52:57 UTC) #16
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://pdfium.googlesource.com/pdfium/+/33c4cdb4efbacb73151c982549151ea4e545...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973